Gummiwagen = {};

function Gummiwagen.prerequisitesPresent(specializations)
    return true;
end;

function Gummiwagen:load(xmlFile)
	self.isLeftOpen = false;
	self.isRightOpen = false;
end;

function Gummiwagen:delete()
end;

function Gummiwagen:readStream(streamId, connection)	
end;

function Gummiwagen:writeStream(streamId, connection)
end;

function Gummiwagen:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Gummiwagen:keyEvent(unicode, sym, modifier, isDown)
end;

function Gummiwagen:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.Klappen) then
			if self.isLeftOpen then
				self:setAnimationTime(1, self.animationParts[1].startPosition);
			else
				self:setAnimationTime(1, self.animationParts[1].animDuration);
			end;
		end;
		if InputBinding.hasEvent(InputBinding.Klappen) then
			if self.isRightOpen then
				self:setAnimationTime(2, self.animationParts[2].startPosition);
			else
				self:setAnimationTime(2, self.animationParts[2].animDuration);
			end;
		end;
	end;
	self.isLeftOpen = self.animationParts[1].clipEndTime;
	self.isRightOpen = self.animationParts[2].clipEndTime;
end;

function Gummiwagen:updateTick(dt)
end;

function Gummiwagen:draw()
	if self.isLeftOpen then
		g_currentMission:addHelpButtonText(g_i18n:getText("Klappen2"), InputBinding.Klappen);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("Klappen1"), InputBinding.Klappen);
	end;
end;